<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
	if( get_theme_mod('sec_footersecopacity',true) ) {
		$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
	}
?>		
<footer class="footer-area" id="footer" style="<?php echo esc_attr($sec_footerseTmargin); ?>" "<?php echo esc_attr($sec_footersebottommargin); ?>" "<?php echo esc_attr($sec_footersecopacity); ?>">
		<div class="overlay" ></div>
		<div class="top-area ">
			<!-- <div class="container">  -->
			<?php
				$newsletter_title = get_theme_mod('newsletter_title', 'Subscribe To Our Newsletter');	
			?>
			<div class="row">
				<div class="col-xl-7 col-lg-12 col-md-12 footer-content">
					<div class="fbox">
						<div class="footer-leftovly"></div>
							<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') || is_active_sidebar('luzuk-footer5') ){ ?>
								<div class="footer-box">
									<?php 
										$footer_logo = get_theme_mod('footer_logo');
										if(!empty($footer_logo)){
									?>
										<div class="footer-img">
											<?php
												echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($footer_logo).'" class="ft-img" />';
											?>
										</div>
									<?php } ?>
										
									<div class="s-footer single-footer-1 ">
										<div class="single-footer wow zoomIn" data-wow-duration="1s" >
											<?php if(is_active_sidebar('luzuk-footer1')): 
												dynamic_sidebar('luzuk-footer1');
											endif;
											?>	
										</div>
									</div>
									<div class="row ">
										<div class="s-footer col-lg-3 col-md-3 col-sm-5 col-xs-12 single-footer-2 ">
											<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
												<?php if(is_active_sidebar('luzuk-footer2')): 
													dynamic_sidebar('luzuk-footer2');
												endif;
												?>	
											</div>
										</div>

										<div class="s-footer col-lg-3 col-md-3 col-sm-5 col-xs-12 single-footer-3">
											<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
												<?php if(is_active_sidebar('luzuk-footer3')): 
													dynamic_sidebar('luzuk-footer3');
												endif;
												?>	
											</div>
										</div>

										<div class="s-footer col-lg-3 col-md-3 col-sm-6 col-xs-12 single-footer-4" >
											<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
												<?php if(is_active_sidebar('luzuk-footer4')): 
													dynamic_sidebar('luzuk-footer4');
												endif;
												?>	
											</div>
										</div>
									</div>
									<div class="s-footer  single-footer-5 ">
										<div class="single-footer wow zoomIn" data-wow-duration="3s" >
											<?php if(is_active_sidebar('luzuk-footer5')): 
												dynamic_sidebar('luzuk-footer5');
											endif;
											?>	
										</div>
									</div>
								</div>
							<?php } ?>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="col-xl-5 col-lg-12 col-md-12  footer-rghtbx">
					<div class="footer-bx footer-content">
						<div class="footer-image"></div>
						<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') || is_active_sidebar('luzuk-footer5') ){ ?>
							<div class="f-newsletterbx">
								<div class="ftnwsfm">
									<div class="newstitle">
									    <?php if($newsletter_title ){ ?>
										    <h3><?php echo ($newsletter_title);  ?></h3> 
							            <?php }?>
									</div>
									<?php
										$luzuk_newsletter_shortcode = get_theme_mod('luzuk_newsletter_shortcode', '[Add Form shortcode]');
										if(!empty($luzuk_newsletter_shortcode)){
									?>	
									<div class="subscribe_shortcode ">			
										<div class="ht-newsletter-member-wrap">
											<div class="box-form">										
												<?php echo do_shortcode($luzuk_newsletter_shortcode);?>
											</div>
										</div>
									</div>
								<?php } ?>
								</div>
							</div>
						<?php } ?>
						
							<?php 
								if( get_theme_mod('sec_bottomareaTmargin',true) ) {
									$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
								}
								if( get_theme_mod('sec_bottomareabottommargin',true) ) {
									$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
								}
							?>	
								
							<?php 
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
							<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
									<?php if($footercopyright){ ?>
										<div class="footer-text">
											<?php echo $footercopyright;?>
										</div>
									<?php } ?>
							</div>
					</div>
				</div>
			</div>
		<!-- </div> -->
	</div>
</footer>
<script>
    // JavaScript to set equal height for all columns
    window.addEventListener('load', function() {
      equalizeColumnHeight();
    });

    function equalizeColumnHeight() {
      const columns = document.querySelectorAll('.footer-area .top-area .footer-content');
      let maxHeight = 0;

      columns.forEach(function(column) {
        const height = column.clientHeight;
        maxHeight = Math.max(maxHeight, height);
      });

      columns.forEach(function(column) {
        column.style.height = maxHeight + 'px';
      });
    }
  </script>
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>
	<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
</body>
</html>
