<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);


//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

$wp_customize->add_setting(
        'site_title_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_title_disable',
            array(
                'settings'      => 'site_title_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Title', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
        'site_tagline_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'site_tagline_disable',
            array(
                'settings'      => 'site_tagline_disable',
                'section'       => 'title_tagline',
                'label'         => __( 'Hide Tagline', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#fff');


// $wp_customize->add_section( 'bubbles', array(
//     'title' => __( 'Theme All Bubbles Display Setting' , 'luzuk Premium'),
//     'panel' => 'luzuk_general_panel',
// ) );


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Unboxthemes Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Colors');

addColorPalatOption($wp_customize, 'header_mainmenusbgClr', 'header_settings', 'Header BG Color', '#232349'); 

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#000');

addColorPalatOption($wp_customize, 'header_topmenushvbgClr', 'header_settings', 'Menus Hover BG Color', '#FFD8AA');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Border Color', '#232349');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#fff');

addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#232349');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');

lzCustomLable($wp_customize, 'header_shopcartdisplaysett', 'header_settings' , 'Shopping Cart Display Setting');

// to show & hide another button
$wp_customize->add_setting( 'shopcart_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'shopcart_button_display', array( 'label' => 'Shopping Cart Display', 'section' => 'header_settings', 'settings' => 'shopcart_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

lzCustomLable($wp_customize, 'header_shopcartclrsett', 'header_settings' , 'Shopping Cart Color Setting');

addColorPalatOption($wp_customize, 'header_shopcarticonColor', 'header_settings', 'Cart Icon Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'header_shopcartnumberColor', 'header_settings', 'Cart Number Color', '#000');

addColorPalatOption($wp_customize, 'header_shopcartnumbgColor', 'header_settings', 'Cart Number BG Color', '#fff');

// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Header Button Settings');

// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Button Display', 'section' => 'header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'headerinquirytitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get Appointment' )
    )
);
$wp_customize->add_control(
    'headerinquirytitle',
    array(
        'settings'      => 'headerinquirytitle',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Header Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('luzuk_header_headerinquiry',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_header_headerinquiry',
    array(
        'settings'      => 'luzuk_header_headerinquiry',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Button Link', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'header_btntxtClr', 'header_settings', 'Button Text Color', '#232349');

addColorPalatOption($wp_customize, 'header_btntxthvClr', 'header_settings', 'Button Text Hover Color', '#232349');

addColorPalatOption($wp_customize, 'header_btnbgClr', 'header_settings', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_btnbghvClr', 'header_settings', 'Button BG Hover Color', '#F8BF91');

addColorPalatOption($wp_customize, 'header_btnhvovlyClr', 'header_settings', 'Button Hover Overlay Color', '#000');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#232349');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#232349');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#FCCB9D');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Innerpage Header Colors');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_lseftsideclr1', 'colors', 'Inner Page Header Left Side BG Color 1', '#F8BF91');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_lseftsideclr2', 'colors', 'Inner Page Header Left Side BG Color 2', '#FFD8AA');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header Right Side BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Header Title Color', '#fff');

lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Header Image Overlay Color');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.3', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgolyclr', 'colors', 'Inner Page Header Image Overlay Color', '#000');

lzCustomLable($wp_customize, 'innheadrtitle_Overlay', 'colors', 'Innerpage Color');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading 1 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading 2 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading 3 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading 4 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading 5 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading 6 Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'colors', 'Heading / Text Bold Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'colors', 'Heading / Text Highlight Color', '#232349');

lzCustomLable($wp_customize, 'luzuk_innerpage_shoppagehead', 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'Shop Page Font Size');

$wp_customize->add_setting(
    'pages_innerpageshoppagehead',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '21px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageshoppagehead',
    array(
        'settings'      => 'pages_innerpageshoppagehead',
        'section'       => 'luzuk_template_innerpagemainsectionboxheadinghigh_clr',
        'type'          => 'text',
        'label'         => __( 'Shop Page Product Title Font Size', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlecolor', 'colors', 'Inner Page Sidebar Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_sibebr1clr', 'colors', 'Sidebar BG Color', '#F9EDE1');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#5A5A5D');

addColorPalatOption($wp_customize, 'template_innerpage_productpagetextcolor', 'colors', 'Inner Product Page Text Color', '#99999E');

addColorPalatOption($wp_customize, 'template_innerpage_productpagebrdcolor', 'colors', 'Inner Product Page Border Color', '#C5C5C5');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#7c8491');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxsidebartextlinks_color', 'colors', 'Inner Page Links Color', '#FB1129');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Sidebar Links Color', '#605F5F');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Sidebar Links Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Sidebar Icons Color', '#E39E5D');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list Number BG Color', '#eae6e6');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar &  Product Image Border Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebarservicebrdicon_color', 'colors', 'Inner Page Sidebar Navigation Menu Border And Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebarservicebrd_color', 'colors', 'Inner Page Sidebar Input Field Border And Navigation Menu Border Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#F9EDE1');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquotebrd_color', 'colors', 'Inner Page Blockquote Border And Icon Color', '#FCCB9D');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#232349');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#666565');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Arrow Color', '#FCCFA1');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbghvclr', 'colors', 'Site Navigation Arrow Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgbgclr', 'colors', 'Site Navigation Arrow BG Color', '#232349');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );


addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlebgcolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlebgcolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Title BG Color', '#FCCB9D');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

// $wp_customize->add_setting(
//     'blogpages_innerpageheading2',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '30px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'blogpages_innerpageheading2',
//     array(
//         'settings'      => 'blogpages_innerpageheading2',
//         'section'       => 'luzuk_blogpage_settings',
//         'type'          => 'text',
//         'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
//     )
// );

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Comment Display Setting');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

// end to show & hide button

lzCustomLable($wp_customize, 'template_innerpage_blogcolorsetting', 'luzuk_blogpage_settings', 'Blog Page Color Settings');

addColorPalatOption($wp_customize, 'template_innerpage_blogimglyclr', 'luzuk_blogpage_settings', 'Image Hover Overlay Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbrdclr', 'luzuk_blogpage_settings', 'Box Border Color', '#232349');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Box BG Color', '#F9EDE1');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogdatebgclr', 'luzuk_blogpage_settings', 'Date Box BG Color', '#232349');

addColorPalatOption($wp_customize, 'innerpage_blogicnautrclr', 'luzuk_blogpage_settings', 'Date And Comment Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogicnautriconclr', 'luzuk_blogpage_settings', 'Date And Comment Icon Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title And Title Border Color', '#232349');

addColorPalatOption($wp_customize, 'template_innerpage_blogtitlehvclr', 'luzuk_blogpage_settings', 'Title Hover Color', '#EE9C50');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#676767');

lzCustomLable($wp_customize, 'allblog_btndisplay', 'luzuk_blogpage_settings', 'Button Setting');

$wp_customize->add_setting(
    'blog_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_button2',
    array(
        'settings'      => 'blog_button2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtntxtclr', 'luzuk_blogpage_settings', 'Button Text And Icon Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtntxtbgclr', 'luzuk_blogpage_settings', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbtntxtbrdclr', 'luzuk_blogpage_settings', 'Button Border Color', '#232349');


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'footer_box', 'footer_area', 'Footer Box');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2.3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


//lzCustomLable($wp_customize, 'footer_oly', 'footer_area', 'Footer Overlay');


// $wp_customize->add_setting(
//     'footer_areaOpacity',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'footer_areaOpacity',
//     array(
//         'settings'      => 'footer_areaOpacity',
//         'section'       => 'footer_area',
//         'type'          => 'text',
//         'label'         => __( 'Opacity', 'luzuk-premium' )
//     )
// );

//addColorPalatOption($wp_customize, 'footerarea_olayclr', 'footer_area', 'Footer Overlay Color', '#fff');

lzCustomLable($wp_customize, 'footer_logo_area', 'footer_area', 'Footer Logo');

$wp_customize->add_setting(
    'footer_logo',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'footer_logo',
        array(
            'section' => 'footer_area',
            'settings' => 'footer_logo',
            'description' => __('Recommended Image Size: 125X82px', 'luzuk-premium')
        )
    )
);

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color Setting');

//addColorPalatOption($wp_customize, 'footerarea_copyrightbrdclr', 'footer_area', 'Border Color', '#ccc');

addColorPalatOption($wp_customize, 'footerarea_footerbx_color', 'footer_area', 'Footer Box BG Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_logobg_color', 'footer_area', 'Logo BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#FCCB9D');

//addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#FCCB9D');

//addColorPalatOption($wp_customize, 'footerarea_menuicn_clr', 'footer_area', 'Menu Icon Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#fff');

//addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_siconbg_color', 'footer_area', 'Social Icon BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon BG Hover Color', '#fff');

lzCustomLable($wp_customize, 'newsletter_box', 'footer_area', 'Newsletter Box');

backgroundManager($wp_customize, 'fnewsletterbg', 'footer_area', $color='#232349', get_template_directory_uri().'/images/applhsbg.jpg', 'color');

lzCustomLable($wp_customize, 'newsletter_boxtitle', 'footer_area', 'Newsletter Title');

$wp_customize->add_setting(
    'newsletter_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Subscribe To Our Newsletter', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_title',
    array(
        'settings'      => 'newsletter_title',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Newsletter Title ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'newsletter_Form_label', 'footer_area', 'Newsletter Form Shortcode');

lzAddElement($wp_customize, 'luzuk_newsletter_shortcode', 'footer_area', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[Add Form shortcode]');

lzCustomLable($wp_customize, 'newsletter_color', 'footer_area', 'Newsletter Color Setting');

addColorPalatOption($wp_customize, 'footerarea_fmtitleclr', 'footer_area', 'Newsletter Title Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_fmtitlebgclr', 'footer_area', 'Newsletter Title BG Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_newsformbgclr', 'footer_area', 'Form BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_newsformbrdclr', 'footer_area', 'Form Border Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_newsformbrdclr', 'footer_area', 'Form Border Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_newsformplcehldrclr', 'footer_area', 'Form Text And Placeholder Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_newsformbuttonclr', 'footer_area', 'Form Button Text Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'footerarea_newsformbuttonhvclr', 'footer_area', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_newsformbuttonbgclr', 'footer_area', 'Form Button BG Color', '#232349');

addColorPalatOption($wp_customize, 'footerarea_newsformbuttonhvbgclr', 'footer_area', 'Form Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2023 Luxury Hotel All Right Reserved', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_copytextclr', 'footer_area', 'Copyright Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_copytextbgclr', 'footer_area', 'Copyright Text BG Color', '#FCCB9D');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height.');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Box Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceboxcrnrshpColor', 'luzuk_innerpageshortcode_page_settings', 'Box Corner Shape Color', '#EE9C50');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceimghvClr1', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color 1', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceimghvClr2', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color 2', '#232349');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceIconColor', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceIconbgColor', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceIconbrdColor', 'luzuk_innerpageshortcode_page_settings', 'Icon Border Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceTitleColor', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#232349');

//addColorPalatOption($wp_customize, 'luzuk_InnerServiceTitlebrdClr', 'luzuk_innerpageshortcode_page_settings', 'Title Border Color', '#d5a8e9');

addColorPalatOption($wp_customize, 'luzuk_InnerServiceTextColor', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#575758');

// $wp_customize->add_setting(
//     'ser_button2',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( 'Read More', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'ser_button2',
//     array(
//         'settings'      => 'ser_button2',
//         'section'       => 'luzuk_innerpageshortcode_page_settings',
//         'type'          => 'text',
//         'label'         => __( 'Button Text', 'luzuk-premium' )
//     )
// );

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconColor', 'luzuk_innerpageshortcode_page_settings', 'Button Icon Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconhvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Icon Hover Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconbgColor', 'luzuk_innerpageshortcode_page_settings', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtnbghvClr', 'luzuk_innerpageshortcode_page_settings', 'Button BG Hover Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtnbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Button Border Color', '#232349');

lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{430*390}');

addColorPalatOption($wp_customize, 'pages_InnerTeamimgshapeClr', 'luzuk_innerpageshortcode_page_settings', 'Image Top Corner Shape Color', '#232349');

addColorPalatOption($wp_customize, 'pages_InnerTeamimgshapehvClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'pages_InnerTeambxcbgClr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#232349');

addColorPalatOption($wp_customize, 'pages_InnerTeamNameCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamDesignationCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsColor', 'luzuk_innerpageshortcode_page_settings', 'Social Icon Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'pages_InnerTeambtmcrnrshpColor', 'luzuk_innerpageshortcode_page_settings', 'Box Bottom Corner Shape Color', '#E39E5D');

addColorPalatOption($wp_customize, 'pages_InnerTeambtmcrnrshpbrdColor', 'luzuk_innerpageshortcode_page_settings', 'Box Bottom Corner Shape Border Color', '#FCCB9D');

lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Box BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Box Border Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imgbxclr', 'luzuk_innerpageshortcode_page_settings', 'Image Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imgcrnbrdsclr', 'luzuk_innerpageshortcode_page_settings', 'Image Corner Border Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Namecolor', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_postioncolor', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_iconcolor', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_textcolor', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Text Color', '#232349');
 
lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended  Big Image Size : 815px x 335px
    And Small Image Size : 454px x 335px');

addColorPalatOption($wp_customize, 'luzuk_gallimgbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_galltitleClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover  Title Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_galltitlebgClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Title BG Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_gallimghvovlyClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Overlay Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnClr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color', '#FCCB9D');

 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Color', '#E39E5D');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon BG Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_faqinnactIcnClr', 'luzuk_innerpageshortcode_page_settings', 'Question Hover And  Active Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnactIcnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Question Hover And Active Icon BG Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text Color', '#232349');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlehvColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Color', '#F9EDE1');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbghvColor1', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Hover Color', '#232349');

//addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbghvColor2', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Hover Color 2', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Answer Text BG Color', '#F9EDE1');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Answer Text Color', '#666668');

addColorPalatOption($wp_customize, 'luzuk_faqinnerbedcClr', 'luzuk_innerpageshortcode_page_settings', 'Question And Answer Box Border Color', '#E39E5D');

$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Header Title Box Padding');

$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7.7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2.2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '40px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading',
	array(
		'settings'      => 'pages_innerpageheading',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '30px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);
 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '25px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '19px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f0c4', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);