<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 775X825', 'Luzuk' ),
		)
	)
);

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Colors Setting');

addColorPalatOption($wp_customize, 'slider_ContentBoxbg_clr1', 'slider_section', 'Content Box BG Color 1', '#F8BF91');

addColorPalatOption($wp_customize, 'slider_ContentBoxbg_clr2', 'slider_section', 'Content Box BG Color 2', '#FFD8AA');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Title Color', '#232349');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'slider_section', 'Text Color', '#161616');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#232349');

addColorPalatOption($wp_customize, 'slider_Buttonihv', 'slider_section', 'Button BG Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonihvovlyclr', 'slider_section', 'Button Hover Overlay Color', '#232349');

lzCustomLable($wp_customize, 'luzuk_slidercallboxclrs', 'slider_section', 'Call Box Setting');

$wp_customize->add_setting(
    'callbx_head',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Call Us :' )
    )
);
$wp_customize->add_control(
    'callbx_head',
    array(
        'settings'      => 'callbx_head',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'callbx_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+111 2222 111' )
    )
);
$wp_customize->add_control(
    'callbx_phone',
    array(
        'settings'      => 'callbx_phone',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'slider_callbxbg', 'slider_section', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_callbxhead', 'slider_section', 'Box Heading Color', '#232349');

addColorPalatOption($wp_customize, 'slider_callbxcntctno', 'slider_section', 'Box Phone Number Color', '#232349');

addColorPalatOption($wp_customize, 'slider_callbxcntctnohvclr', 'slider_section', 'Box Phone Number Hover Circle Color', '#FCCB9D');

addColorPalatOption($wp_customize, 'slider_curveshapeclr', 'slider_section', 'Corner Curve Shape Color', '#FCCB9D');

lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Arrow Button Color');

addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Arrow BG Color', '#232349');

addColorPalatOption($wp_customize, 'sli_btnbghvclr', 'slider_section', 'Arrow BG Hover Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowclr', 'slider_section', 'Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Arrow Hover Color', '#000');